Index: src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
===================================================================
RCS file: /cvsroot/xsrc/external/mit/MesaLib/dist/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp,v
retrieving revision 1.3
diff -u -r1.3 lp_bld_misc.cpp
--- src/gallium/auxiliary/gallivm/lp_bld_misc.cpp	9 May 2022 01:27:18 -0000	1.3
+++ src/gallium/auxiliary/gallivm/lp_bld_misc.cpp	9 Jul 2023 21:30:33 -0000
@@ -619,8 +619,10 @@
 extern "C" void
 lp_set_module_stack_alignment_override(LLVMModuleRef MRef, unsigned align)
 {
+#if 0
 #if LLVM_VERSION_MAJOR >= 13
    llvm::Module *M = llvm::unwrap(MRef);
    M->setOverrideStackAlignment(align);
 #endif
+#endif
 }
Index: src/gallium/drivers/radeon/radeon_vcn_enc.c
===================================================================
RCS file: /cvsroot/xsrc/external/mit/MesaLib/dist/src/gallium/drivers/radeon/radeon_vcn_enc.c,v
retrieving revision 1.4
diff -u -r1.4 radeon_vcn_enc.c
--- src/gallium/drivers/radeon/radeon_vcn_enc.c	9 May 2022 01:27:23 -0000	1.4
+++ src/gallium/drivers/radeon/radeon_vcn_enc.c	9 Jul 2023 21:30:33 -0000
@@ -103,7 +103,7 @@
       }
    } else if (u_reduce_video_profile(picture->profile) == PIPE_VIDEO_FORMAT_HEVC) {
       struct pipe_h265_enc_picture_desc *pic = (struct pipe_h265_enc_picture_desc *)picture;
-      enc->enc_pic.picture_type = (enum pipe_h264_enc_picture_type)pic->picture_type;
+      enc->enc_pic.picture_type = (enum pipe_h2645_enc_picture_type)pic->picture_type;
       enc->enc_pic.frame_num = pic->frame_num;
       enc->enc_pic.pic_order_cnt = pic->pic_order_cnt;
       enc->enc_pic.pic_order_cnt_type = pic->pic_order_cnt_type;
Index: src/intel/isl/isl_priv.h
===================================================================
RCS file: /cvsroot/xsrc/external/mit/MesaLib/dist/src/intel/isl/isl_priv.h,v
retrieving revision 1.1.1.3
diff -u -r1.1.1.3 isl_priv.h
--- src/intel/isl/isl_priv.h	9 May 2022 01:23:37 -0000	1.1.1.3
+++ src/intel/isl/isl_priv.h	9 Jul 2023 21:30:33 -0000
@@ -45,8 +45,10 @@
 void PRINTFLIKE(3, 4) UNUSED
 __isl_finishme(const char *file, int line, const char *fmt, ...);
 
+#ifndef __NetBSD__
 #define MIN(a, b) ((a) < (b) ? (a) : (b))
 #define MAX(a, b) ((a) > (b) ? (a) : (b))
+#endif
 
 typedef void *(*isl_mem_copy_fn)(void *dest, const void *src, size_t n);
 
Index: src/util/macros.h
===================================================================
RCS file: /cvsroot/xsrc/external/mit/MesaLib/dist/src/util/macros.h,v
retrieving revision 1.1.1.4
diff -u -r1.1.1.4 macros.h
--- src/util/macros.h	9 May 2022 01:23:43 -0000	1.1.1.4
+++ src/util/macros.h	9 Jul 2023 21:30:33 -0000
@@ -24,6 +24,7 @@
 #ifndef UTIL_MACROS_H
 #define UTIL_MACROS_H
 
+#include <sys/param.h>
 #include <stdio.h>
 #include <assert.h>
 
@@ -478,6 +479,8 @@
 #endif
 
 /* TODO: this could be different on non-x86 architectures. */
+#ifndef __NetBSD__
 #define CACHE_LINE_SIZE 64
+#endif
 
 #endif /* UTIL_MACROS_H */
Index: src/util/u_cpu_detect.c
===================================================================
RCS file: /cvsroot/xsrc/external/mit/MesaLib/dist/src/util/u_cpu_detect.c,v
retrieving revision 1.1.1.3
diff -u -r1.1.1.3 u_cpu_detect.c
--- src/util/u_cpu_detect.c	9 May 2022 01:23:43 -0000	1.1.1.3
+++ src/util/u_cpu_detect.c	9 Jul 2023 21:30:33 -0000
@@ -623,7 +623,7 @@
    if (available_cpus == 0) {
       const int mib[] = { CTL_HW, HW_NCPUONLINE };
       int ncpu;
-      int len = sizeof(ncpu);
+      size_t len = sizeof(ncpu);
 
       sysctl(mib, 2, &ncpu, &len, NULL, 0);
       available_cpus = ncpu;
Index: src/util/u_printf.h
===================================================================
RCS file: /cvsroot/xsrc/external/mit/MesaLib/dist/src/util/u_printf.h,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 u_printf.h
--- src/util/u_printf.h	9 May 2022 01:23:43 -0000	1.1.1.1
+++ src/util/u_printf.h	9 Jul 2023 21:30:33 -0000
@@ -25,6 +25,7 @@
 #ifdef __cplusplus
 
 #include <string>
+#include <cstdarg>
 
 /* find next valid printf specifier in a C++ std::string */
 size_t util_printf_next_spec_pos(const std::string &s, size_t pos);
